local createComposition30 = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/08_street/main/anim/acid/"
---------------------------------------------------------------------------------------
function Loader_08_Zoom_Lock_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
            CreateCompositionLoader(createComposition30,		                'action',		        0,0, 30, 175,175, false),
		},
		{
			function (element, textureName)
				if textureName == "green_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(24)
					anim:SetTextureRect(0,0,110,116)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "smoke_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,58,44)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "strgreen_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(48)
					anim:SetTextureRect(0,0,13,93)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createComposition30 = function()
	local composition30 = CreateCompositionSequence()
	local compositionDuration = 3.875
	composition30:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_1")
	composition30:AddElement(element)
	element:SetHotSpot(28.5, 46)
	element:SetParentElement(composition30)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.58333333333333, 3.875)
	effector:SetKey(_TRACK_X, 1.70833333333333, 200)
	effector:SetKey(_TRACK_Y, 1.70833333333333, 234.5)
	effector:SetKey(_TRACK_X, 2.25, 207.5)
	effector:SetKey(_TRACK_Y, 2.25, 250)
	effector:SetKey(_TRACK_SX, 1.70833333333333, -1.3562295569432)
	effector:SetKey(_TRACK_SY, 1.70833333333333, 2.02173913043482)
	effector:SetKey(_TRACK_SX, 2.25, -2.11061552185548)
	effector:SetKey(_TRACK_SY, 2.25, 3.20652173913047)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:SetKey(_TRACK_O, 1.25, 1)
	effector:SetKey(_TRACK_O, 2.625, 1)
	effector:SetKey(_TRACK_O, 3.83333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_2")
	composition30:AddElement(element)
	element:SetHotSpot(28.5, 46)
	element:SetParentElement(composition30)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.58333333333333, 3.875)
	effector:SetKey(_TRACK_X, 1.70833333333333, 205.5)
	effector:SetKey(_TRACK_Y, 1.70833333333333, 272.5)
	effector:SetKey(_TRACK_X, 2.25, 224)
	effector:SetKey(_TRACK_Y, 2.25, 282.5)
	effector:SetKey(_TRACK_SX, 1.70833333333333, 1.49152542372881)
	effector:SetKey(_TRACK_SY, 1.70833333333333, 2.16304347826087)
	effector:SetKey(_TRACK_SX, 2.25, 1.79661016949153)
	effector:SetKey(_TRACK_SY, 2.25, 2.70652173913044)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:SetKey(_TRACK_O, 1.25, 1)
	effector:SetKey(_TRACK_O, 2.625, 1)
	effector:SetKey(_TRACK_O, 3.83333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."green_[].png")
	element:SetName("Layer_3")
	composition30:AddElement(element)
	element:SetHotSpot(55, 58)
	composition30:RegisterParentInfo("Layer_3", "Layer_9")
	element:SetXY(53.0982545998396, 87.9734184959384)
 
	element:SetAngle(3.119165337781)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.58333333333333, 3.875)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 0.31630094043887)
	effector:SetKey(_TRACK_SY, 0.58333333333333, 0.31034482758621)
	effector:SetKey(_TRACK_SX, 1.16666666666667, 0.53448275862069)
	effector:SetKey(_TRACK_SY, 1.16666666666667, 0.53448275862069)
	effector:SetKey(_TRACK_SX, 1.33333333333333, 0.70144381369524)
	effector:SetKey(_TRACK_SY, 1.33333333333333, 0.66370700399962)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:SetKey(_TRACK_O, 0.79166666666667, 1)
	effector:SetKey(_TRACK_O, 2.625, 1)
	effector:SetKey(_TRACK_O, 3.83333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."green_[].png")
	element:SetName("Layer_4")
	composition30:AddElement(element)
	element:SetHotSpot(55, 58)
	composition30:RegisterParentInfo("Layer_4", "Layer_9")
	element:SetXY(56.1507306189394, 76.9878647933333)
 
	element:SetAngle(1.82506337536719)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.58333333333333, 3.875)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 0.31630094043887)
	effector:SetKey(_TRACK_SY, 0.58333333333333, 0.31034482758621)
	effector:SetKey(_TRACK_SX, 1.16666666666667, 0.53448275862069)
	effector:SetKey(_TRACK_SY, 1.16666666666667, 0.53448275862069)
	effector:SetKey(_TRACK_SX, 1.33333333333333, 0.70144381369524)
	effector:SetKey(_TRACK_SY, 1.33333333333333, 0.66370700399962)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:SetKey(_TRACK_O, 0.79166666666667, 1)
	effector:SetKey(_TRACK_O, 2.625, 1)
	effector:SetKey(_TRACK_O, 3.83333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."green_[].png")
	element:SetName("Layer_5")
	composition30:AddElement(element)
	element:SetHotSpot(55, 58)
	composition30:RegisterParentInfo("Layer_5", "Layer_9")
	element:SetXY(32.0008317149351, 76.103340669087)
 
	element:SetAngle(-0.39001744649081)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.58333333333333, 3.875)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 0.31630094043887)
	effector:SetKey(_TRACK_SY, 0.58333333333333, 0.31034482758621)
	effector:SetKey(_TRACK_SX, 1.16666666666667, 0.53448275862069)
	effector:SetKey(_TRACK_SY, 1.16666666666667, 0.53448275862069)
	effector:SetKey(_TRACK_O, 0.58333333333333, 0)
	effector:SetKey(_TRACK_O, 0.79166666666667, 1)
	effector:SetKey(_TRACK_O, 2.625, 1)
	effector:SetKey(_TRACK_O, 3.83333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."strgreen_[].png")
	element:SetName("Layer_6")
	composition30:AddElement(element)
	element:SetHotSpot(6.11764705882353, -1.35003119794419e-13)
	composition30:RegisterParentInfo("Layer_6", "Layer_8")
	element:SetXY(123.5, 56.9999999999998)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.33333333333333, 3.875)
	effector:SetKey(_TRACK_SX, 0.33333333333333, 0.14585336835205)
	effector:SetKey(_TRACK_SY, 0.33333333333333, 0.00120156051788)
	effector:SetKey(_TRACK_SX, 0.58333333333333, 1.96153846153847)
	effector:SetKey(_TRACK_SY, 0.58333333333333, 0.94623655913979)
	effector:SetKey(_TRACK_SX, 0.79166666666667, 2.03418803418804)
	effector:SetKey(_TRACK_SY, 0.79166666666667, 1.14336917562725)
	effector:SetKey(_TRACK_SX, 1.20833333333333, 1.96153846153847)
	effector:SetKey(_TRACK_SY, 1.20833333333333, 1.13440860215054)
	effector:SetKey(_TRACK_SX, 1.5, 1.96153846153847)
	effector:SetKey(_TRACK_SY, 1.5, 1.13440860215054)
	effector:SetKey(_TRACK_SX, 1.75, 0.40290187990084)
	effector:SetKey(_TRACK_SY, 1.75, 0.03748000226842)
	effector:SetKey(_TRACK_A, 1.5, 0)
	effector:SetKey(_TRACK_A, 1.70833333333333, 0.42100783798046)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."layer_bottle_probka.png")
	element:SetName("Layer_7")
	composition30:AddElement(element)
	element:SetHotSpot(9, 11)
	composition30:RegisterParentInfo("Layer_7", "Layer_8")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.33333333333333)
	effector:SetKey(_TRACK_X, 0.04166666666667, 128)
	effector:SetKey(_TRACK_Y, 0.04166666666667, 49.5)
	effector:SetKey(_TRACK_X, 0.20833333333333, 206.357003666978)
	effector:SetKey(_TRACK_Y, 0.20833333333333, 91.6091436190987)
	effector:SetKey(_TRACK_X, 0.29166666666667, 250.933727381885)
	effector:SetKey(_TRACK_Y, 0.29166666666667, 189.303389625942)
	effector:SetKey(_TRACK_A, 0.04166666666667, 0)
	effector:SetKey(_TRACK_A, 0.20833333333333, 1.21989881162836)
	effector:SetKey(_TRACK_A, 0.29166666666667, 0.31087277584249)
	effector:SetKey(_TRACK_O, 0, 0.01)
	effector:SetKey(_TRACK_O, 0.125, 1)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."layer_bottle.png")
	element:SetName("Layer_8")
	composition30:AddElement(element)
	element:SetHotSpot(58, 48)
	element:SetParentElement(composition30)
	element:SetXY(124.5, 116)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.875)
	effector:SetKey(_TRACK_A, 0, -0.74641635982623)
	effector:SetKey(_TRACK_A, 0.16666666666667, -0.74641635982623)
	effector:SetKey(_TRACK_A, 0.45833333333333, 0)
	effector:SetKey(_TRACK_A, 1.5, 0)
	effector:SetKey(_TRACK_A, 1.75, -0.4155875965506)
	effector:SetKey(_TRACK_O, 0, 0.01)
	effector:SetKey(_TRACK_O, 0.125, 1)
	effector:SetKey(_TRACK_O, 2.16666666666667, 1)
	effector:SetKey(_TRACK_O, 2.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."2.png")
	element:SetName("Layer_9")
	composition30:AddElement(element)
	element:SetHotSpot(83, 20)
	element:SetParentElement(composition30)
	element:SetXY(267, 199)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.875)
	effector:SetKey(_TRACK_A, 1.70833333333333, 0.39001744649081)
	effector:SetKey(_TRACK_A, 1.875, -0.05781549749389)
	effector:SetKey(_TRACK_A, 1.95833333333333, 0.03452606969773)
	effector:SetKey(_TRACK_A, 2.04166666666667, -0.05781549749389)
	effector:SetKey(_TRACK_O, 1.70833333333333, 0)
	effector:SetKey(_TRACK_O, 1.875, 1)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."1.png")
	element:SetName("Layer_10")
	composition30:AddElement(element)
	element:SetHotSpot(95, 11)
	composition30:RegisterParentInfo("Layer_10", "Layer_9")
	element:SetXY(83, 20)
 
	element:SetAngle(-0.4478329439847)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.875)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."3.png")
	element:SetName("Layer_11")
	composition30:AddElement(element)
	element:SetHotSpot(49, 46)
	element:SetParentElement(composition30)
	element:SetXY(224, 180)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.875)
	effector:Play()
 
 
	-- Layer Layer_12
	element = CreateCompositionElement(PREFIX_PATH.."z_lock_chain.png")
	element:SetName("Layer_12")
	composition30:AddElement(element)
	element:SetHotSpot(174, 171.5)
	element:SetParentElement(composition30)
	element:SetXY(175, 171.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.875)
	effector:Play()
 
	composition30:Play()
 
	return composition30
end
 
